Skip to main content
GET
/
medical
/
v1
/
patient
/
{id}
/
cohort
List Patient Cohorts
curl --request GET \
  --url https://api.sandbox.metriport.com/medical/v1/patient/{id}/cohort \
  --header 'x-api-key: <api-key>'
import { MetriportMedicalApi } from "@metriport/api-sdk";

const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "00000000-0000-0000-0000-000000000000";
const patientCohorts = await metriport.listCohortsForPatient(patientId);

Documentation Index

Fetch the complete documentation index at: https://docs.metriport.com/llms.txt

Use this file to discover all available pages before exploring further.

For more information, see the guide about Cohorts

Path Params

id
string
required
The ID of the patient whose cohorts are to be returned.

Response

cohorts
Cohort[]
required
Array of cohorts.
import { MetriportMedicalApi } from "@metriport/api-sdk";

const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "00000000-0000-0000-0000-000000000000";
const patientCohorts = await metriport.listCohortsForPatient(patientId);
{
  "cohorts": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "eTag": "1",
      "name": "High Risk",
      "description": "Patients that need frequent and robust monitoring.",
      "color": "red",
      "settings": {
        "monitoring": {
          "hie": {
            "enabled": true,
            "frequency": "weekly"
          },
          "adt": {
            "enabled": true
          },
          "pharmacy": {
            "notifications": true,
            "schedule": {
              "enabled": false,
              "frequency": "monthly"
            }
          },
          "laboratory": {
            "notifications": true
          }
        }
      },
      "size": 150
    },
    {
      "id": "11111111-1111-1111-1111-111111111111",
      "eTag": "1",
      "name": "Cardiac Care Cohort",
      "description": "Patients receiving cardiac care and monitoring",
      "color": "blue",
      "settings": {
        "monitoring": {
          "hie": {
            "enabled": true,
            "frequency": "weekly"
          },
          "adt": {
            "enabled": true
          },
          "pharmacy": {
            "notifications": true,
            "schedule": {
              "enabled": false,
              "frequency": "monthly"
            }
          },
          "laboratory": {
            "notifications": false
          }
        }
      },
      "size": 75
    }
  ]
}